/* ----------------------------------------------------------------------------------------------------------------------------------------------------- */


/* NAVBAR */


/* NAVIGATION BAR CONTAINER */

.navbar {
    width: 22%;
    border-right: 2px solid rgba(138, 135, 135, 0.466);
    position: fixed;
    height: max-content;
}

.navbar div {
    margin-bottom: 7%;
    transition: all 0.2s;
    /* width: max-content; */
}

.navbar div span {
    border-radius: 2em;
}

.navbar div span {
    font-family: 'Bitter', serif;
    font-size: 1.3em;
    padding: 10px;
    margin-top: -20%;
}

.navbar div a i {
    font-size: 2.2em;
    margin-left: 40%;
    color: rgb(0, 0, 0);
}

.navbar div a i:hover {
    color: blue;
}

.twt_button_nav a {
    display: inline-block;
    text-decoration: none;
    margin-left: 40%;
    margin-top: 5%;
    padding: 10px 3em;
    font-size: 1.2em;
    border-radius: 30px;
    background-color: rgb(51, 116, 255);
    color: white;
    box-shadow: 2px 2px 2px rgb(107, 97, 97);
}

.twt_button_nav a:hover {
    background-color: blue;
}

#twt_pen a i {
    display: none;
}

.userProfile_Link {
    margin-left: -25%;
}

@media only screen and (max-width:1200px) {
    .navbar {
        width: 12.5%;
    }
    .navbar a:first-child {
        font-size: 1.8em;
        margin-left: 10%;
    }
    .navbar div span {
        display: none;
    }
    .navbar div a i {
        font-size: 1.2em;
        margin-left: 10%;
        margin-bottom: 25%;
        margin-top: 5%;
    }
    .navbar div a i:hover {
        color: blue;
    }
    .twt_button_nav a {
        display: none;
    }
    #twt_pen a i {
        display: block;
        margin-top: -35%;
        margin-left: 20%;
        color: rgb(51, 116, 255);
        font-size: 1.2em;
        border-radius: 20px;
    }
    .userProfile_Link a span {
        display: none;
    }
    .userProfile_Link {
        margin-top: 5%;
        margin-left: -5%;
        font-size: 1.5em;
    }
}

@media only screen and (max-width:500px) {
    .navbar {
        display: none;
    }
}


/* ----------------------------------------------------------------------------------------------------------------------------------------------------- */


/* ----------------------------------------------------------------------------------------------------------------------------------------------------- */


/* FEED  */

.feed_container {
    width: 45%;
    margin-left: 23%;
    margin-top: -4px;
    position: sticky;
    height: max-content;
    bottom: 0;
}

.post_feed {
    border-bottom: 2px solid rgba(77, 75, 75, 0.473);
    margin: 2.5em 10px;
    height: max-content;
}

.post_icons .material-icons-outlined {
    margin-left: 15px;
    margin-top: 40px;
    color: rgb(87, 87, 255);
    cursor: pointer;
}

.post_feed #star {
    position: absolute;
    margin-left: 85%;
    font-size: 2em;
    margin-top: -0.5em;
}

.post_feed .twt_button a {
    text-decoration: none;
    position: absolute;
    margin-top: -3.5em;
    margin-left: 75%;
    padding: 10px 2em;
    font-size: 1em;
    border-radius: 30px;
    background-color: rgb(51, 116, 255);
    color: white;
    box-shadow: 2px 2px 2px rgb(107, 97, 97);
}

.twt_button a:hover {
    background-color: blue;
}

.gt_started_btn a {
    display: inline-block;
    text-decoration: none;
    margin: 1em 10%;
    padding: 10px 2em;
    font-size: 1.1em;
    border-radius: 30px;
    background-color: rgb(11, 12, 12);
    color: white;
    box-shadow: 2px 2px 2px rgb(107, 97, 97);
}

.gt_started_btn a:hover {
    background-color: rgb(44, 43, 43);
}

.feed {
    padding: 10px 5px;
    border-top: 2px solid rgba(121, 117, 117, 0.5);
    border-radius: 10px;
    height: max-content;
    margin: 10px 15px;
    transition: all 0.5s;
}

.feed:hover {
    background-color: rgba(151, 151, 151, 0.11);
}

.profileImg {
    height: 3.5em;
    width: 3.5em;
    border-radius: 30px;
    margin-left: 10px;
    cursor: pointer;
}

.profile_info {
    position: absolute;
    font-family: 'Bitter', serif;
    font-size: 1.2em;
    font-weight: 900;
    margin: 10px 10px;
    cursor: pointer;
}

.feedInfo {
    width: 90%;
    padding-left: 2cm;
    margin-top: -1em;
}

.feedMedia {
    margin-left: 20%;
    height: 20em;
    width: 70%;
    cursor: pointer;
}

.post_actions span:nth-child(odd) {
    margin-left: 75px;
    margin-top: 10px;
    cursor: pointer;
    padding: 5px;
    border-radius: 5px;
}

.post_actions span:nth-child(even) {
    cursor: pointer;
}

.post_actions span:nth-child(1):hover {
    color: blue;
    background-color: rgba(0, 255, 255, 0.144);
}

.post_actions span:nth-child(3):hover {
    color: rgb(27, 163, 0);
    background-color: rgba(21, 255, 0, 0.144);
}

.post_actions span:nth-child(5):hover {
    color: rgb(255, 0, 0);
    background-color: rgba(255, 30, 116, 0.144);
}

.post_actions span:nth-child(7):hover {
    color: blue;
    background-color: rgba(0, 255, 255, 0.144);
}

@media only screen and (max-width:1200px) {
    .feed_container {
        width: 84%;
        margin-left: 14%;
    }
    .post_feed #star {
        margin-left: 75%;
    }
    .post_feed .twt_button a {
        margin-left: 68%;
    }
    .post_icons .material-icons-outlined {
        margin-left: 10px;
    }
    .profileImg {
        height: 2.5em;
        width: 2.5em;
    }
    .profile_info {
        font-size: 1em;
        margin-top: -1%;
    }
    .feedInfo {
        padding-left: 15%;
    }
    .feedMedia {
        margin-left: 10%;
        height: 15em;
        width: 90%;
    }
    .post_actions span:nth-child(odd) {
        margin-left: 7%;
        font-size: 1.2em;
        margin-top: 5%;
    }
}

@media only screen and (max-width:500px) {
    .feed_container {
        width: 100%;
        margin-left: 0%;
    }
    .post_feed .twt_button a {
        margin-left: 64%;
    }
    .post_icons .material-icons-outlined {
        margin-left: 8px;
    }
    .post_actions span:nth-child(odd) {
        margin-left: 5%;
    }
    .profileImg {
        margin-left: -6px;
    }
}


/* ----------------------------------------------------------------------------------------------------------------------------------------------------- */


/* ----------------------------------------------------------------------------------------------------------------------------------------------------- */

.third_section {
    position: sticky;
    height: max-content;
    width: 27%;
    border-left: 2px solid rgba(82, 78, 78, 0.363);
    margin-left: 70%;
    padding-left: 20px;
    bottom: 10%;
    padding-bottom: 5%;
}

.SearchBar input[type=text] {
    font-family: Arial, FontAwesome;
    z-index: 2;
    width: 90%;
    height: 30px;
    border-radius: 20px;
    background-color: rgba(151, 151, 151, 0.377);
}

.WH_Feed {
    height: max-content;
    width: 90%;
    /* border: 2px solid red; */
    margin-top: 2em;
}

.WH_Feed .category {
    font-size: 0.7em;
    margin-left: 15px;
    color: gray;
    margin-bottom: -1em;
}

.WH_Feed .topic {
    font-size: 0.9em;
    width: 70%;
    margin-left: 10px;
    font-weight: bolder;
    display: inline-block;
}

.WH_Feed img {
    height: 50px;
    display: inline-block;
    border-radius: 10px;
    width: 70px;
    margin-left: 5px;
}

.WH_Feed .ExtraInfo {
    font-size: 12px;
    margin-left: 15px;
    margin-top: -8px;
}

.WhatsHappening span:hover {
    cursor: pointer;
}

.WhatsHappening .topic:hover {
    cursor: pointer;
}

.profiles img {
    height: 50px;
    display: inline-block;
    border-radius: 10px;
    width: 50px;
    margin-left: 10px;
}

.profiles {
    margin-top: 1.8em;
    cursor: pointer;
}

.profiles .name {
    position: absolute;
    font-size: 0.9em;
    width: 70%;
    margin-left: 10px;
    font-weight: bolder;
}

.profiles .username {
    margin-left: 10px;
    font-size: 0.8em;
    position: absolute;
    margin-top: 25px;
    color: gray;
}

.profiles span a {
    /* margin-top: 1em; */
    display: inline-block;
    text-decoration: none;
    position: absolute;
    margin-left: 16em;
    padding: 15px 2em;
    font-size: 0.9em;
    border-radius: 30px;
    background-color: rgb(14, 14, 14);
    color: white;
    box-shadow: 2px 2px 2px rgb(107, 97, 97);
}

.profiles span a:hover {
    background-color: blue;
}

.twitter_policies span {
    font-size: 0.9em;
    word-wrap: wrap;
    color: gray;
    margin: 25px 5px;
}

.twitter_policies span:hover {
    text-decoration: underline;
    cursor: pointer;
    color: black;
}

.footer {
    display: none;
}

@media only screen and (max-width:1200px) {
    .third_section {
        display: none;
    }
    .footer {
        display: none;
    }
}

@media only screen and (max-width:500px) {
    .third_section {
        display: none;
    }
    .footer {
        display: block;
        bottom: 0;
        width: 96%;
        margin-left: -2%;
        position: fixed;
        z-index: 2;
        border-top: 2px solid rgba(65, 65, 65, 0.253);
        background-color: aliceblue;
    }
    .footer a {
        display: inline-block;
        margin-left: 12%;
        /* margin-right: 22%; */
    }
    .footer a span {
        color: #0095ff;
        font-size: 2.3em;
    }
}